--- old/usr/src/uts/sun4u/cpu/us3_common.c	2014-07-28 07:43:57.269216186 -0400
+++ new/usr/src/uts/sun4u/cpu/us3_common.c	2014-07-28 07:43:57.275010226 -0400
@@ -898,7 +898,7 @@
 	cheetah_livelock_entry_t *histp;
 	uint64_t idsr;
 
-	if (cas32(&sendmondo_in_recover, 0, 1) != 0) {
+	if (atomic_cas_32(&sendmondo_in_recover, 0, 1) != 0) {
 		/*
 		 * Wait while recovery takes place
 		 */
@@ -984,7 +984,7 @@
 	CHEETAH_LIVELOCK_ENTRY_SET(histp, recovery_time, \
 	    (end_hrt -  begin_hrt));
 
-	while (cas32(&sendmondo_in_recover, 1, 0) != 1)
+	while (atomic_cas_32(&sendmondo_in_recover, 1, 0) != 1)
 		;
 
 	return (retval);
@@ -6300,7 +6300,7 @@
 		return (0);
 
 	clop = CPU_PRIVATE_PTR(CPU, chpr_cecc_logout);
-	if (cas64(&clop->clo_data.chd_afar, LOGOUT_INVALID, afar) !=
+	if (atomic_cas_64(&clop->clo_data.chd_afar, LOGOUT_INVALID, afar) !=
 	    LOGOUT_INVALID)
 		return (0);
 
